सामग्री पर जाएँ

MoonDreamNext Detection

इंटीग्रेट करें

मॉडल id moondream-next/detection
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: ≈$0.002 2 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Moondream इमेज एडिटिंग #multimodal

किसी इमेज पर बाउंडिंग-बॉक्स, बिंदु या दृष्टि-पता लगाने की प्रक्रिया चलाता है और परिणाम बनाता है

Moondream · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक

पहचाने जाने वाले लक्ष्य का वर्णन करने वाला टेक्स्ट।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

प्रोसेसिंग के लिए इमेज की पहचान करने वाला URL।

task_type •आवश्यक

चलाया जाने वाला पहचान कार्य।

उन्नत use_ensemble · combine_points · show_visualization
POST /run/moondream-next/detection?wait=20 कोटेशन → $0.002
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream-next/detection?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

MoonDreamNext Detection के बारे में

`task_type` को bbox_detection, point_detection या gaze_detection पर सेट करें और `detection_prompt` में लक्ष्य का वर्णन करें। विकल्पों में नज़र की दिशा पहचानने के लिए `use_ensemble` और बिंदुओं की पहचान के लिए `combine_points` शामिल हैं। यह विज़ुअलाइज़ेशन वाली इमेज (`show_visualization` से चालू या बंद करें) और टेक्स्ट के रूप में परिणाम लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
प्रोसेसिंग के लिए इमेज की पहचान करने वाला URL।
task_typeआवश्यक
प्रकारenum
bbox_detectionpoint_detectiongaze_detection
चलाया जाने वाला पहचान कार्य।
detection_promptआवश्यक
प्रकारstring
पहचाने जाने वाले लक्ष्य का वर्णन करने वाला टेक्स्ट।
use_ensembleवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
नज़र की पहचान के लिए एन्सेम्बल के उपयोग को नियंत्रित करता है।
combine_pointsवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्धारित करता है कि बिंदु पहचान, पहचाने गए बिंदुओं को एक बिंदु में मिला देती है या नहीं। यह सेटिंग bbox या gaze पहचान को प्रभावित नहीं करती।
show_visualizationवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि पहचान परिणामों को दृश्य रूप में दिखाया जाए या नहीं।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream-next/detection",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2,
    "usd": "0.002",
    "charged": 2,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "task_type": "bbox_detection",
    "detection_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "text_output": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size, width, height} | nullपहचान परिणाम दिखाने वाली आउटपुट इमेज।
text_output
stringपहचान परिणामों का टेक्स्ट रूप।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/moondream-next/detection.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt